---
title: "Get all files for a theme"
description: "Get all asset files for a theme using its unique ID."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/online-store/asset/get-all-files-for-a-theme'
  md: 'https://developer.shopline.com/docs/admin-rest-api/online-store/asset/get-all-files-for-a-theme.md'
---
# Get all files for a theme

Get all asset files for a theme using its unique ID. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_themes`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /themes/:theme_id/assets/list.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_themes`

## Request

### Path Parameters

* `theme_id`

  string (required)

  The unique ID of the theme.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `assets`

  array<object>

  A list of theme asset files. 

  * `key`

    string

    The name of the theme asset file.

  * `public_url`

    string

    The public URL of the theme asset file.

  * `size`

    integer

    The size of the theme asset file. Unit: bytes.

  * `theme_id`

    string

    The unique ID of the theme.

  * `updated_at`

    long

    The update time of the theme asset file, formatted as a 13-digit millisecond timestamp.

  * `checksum`

    string

    The MD5 checksum of the theme asset file. Format: [MD5](https://en.wikipedia.org/wiki/MD5).

  * `content_type`

    string

    The MIME type of the theme asset file, including a type and subtype indicating the file's format. Format: [MIME](https://en.wikipedia.org/wiki/Media_type).

  * `created_at`

    long

    The creation time of the theme asset file, formatted as a 13-digit millisecond timestamp.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get all files for a theme"
  ],
  "description": "Get all asset files for a theme using its unique ID. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_themes` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "sdYuQblt",
  "parameters": [
    {
      "name": "theme_id",
      "in": "path",
      "description": "The unique ID of the theme.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "theme_id",
        "description": "The unique ID of the theme.",
        "type": "string",
        "example": "671f4c96d2682a1f5407536e"
      },
      "example": "671f4c96d2682a1f5407536e",
      "examples": {
        "Get all asset files for a theme": {
          "value": "6388827102b701028efac460"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "assets": {
                "name": "assets",
                "description": "A list of theme asset files. ",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "key": {
                      "name": "key",
                      "description": "The name of the theme asset file.",
                      "type": "string",
                      "example": "config/settings_data.json"
                    },
                    "public_url": {
                      "name": "public_url",
                      "description": "The public URL of the theme asset file.",
                      "type": "string",
                      "example": "https://cdn-theme.myshopline.com/cdn/shop/prev/example/example/assets/component-blog.css"
                    },
                    "size": {
                      "name": "size",
                      "description": "The size of the theme asset file. Unit: bytes.",
                      "type": "integer",
                      "example": 204800
                    },
                    "theme_id": {
                      "name": "theme_id",
                      "description": "The unique ID of the theme.",
                      "type": "string",
                      "example": "671f4c96d2682a1f5407536e"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "The update time of the theme asset file, formatted as a 13-digit millisecond timestamp.",
                      "type": "long",
                      "example": 1625688873000
                    },
                    "checksum": {
                      "name": "checksum",
                      "description": "The MD5 checksum of the theme asset file. Format: [MD5](https://en.wikipedia.org/wiki/MD5).",
                      "type": "string",
                      "example": "21cd91752e4cb57fda60099becd5ce3a224fc7fe62ba7409233a5dc5ab9556ce"
                    },
                    "content_type": {
                      "name": "content_type",
                      "description": "The MIME type of the theme asset file, including a type and subtype indicating the file's format. Format: [MIME](https://en.wikipedia.org/wiki/Media_type).",
                      "type": "string",
                      "example": "application/json"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "The creation time of the theme asset file, formatted as a 13-digit millisecond timestamp.",
                      "type": "long",
                      "example": 1625688873000
                    }
                  },
                  "example": {
                    "content_type": "application/json",
                    "created_at": 1625688873000,
                    "key": "config/settings_data.json",
                    "public_url": "https://cdn-theme.myshopline.com/cdn/shop/prev/example/example/assets/component-blog.css",
                    "size": 204800,
                    "theme_id": "671f4c96d2682a1f5407536e",
                    "updated_at": 1625688873000,
                    "checksum": "21cd91752e4cb57fda60099becd5ce3a224fc7fe62ba7409233a5dc5ab9556ce"
                  }
                },
                "example": [
                  {
                    "theme_id": "671f4c96d2682a1f5407536e",
                    "updated_at": 1625688873000,
                    "checksum": "21cd91752e4cb57fda60099becd5ce3a224fc7fe62ba7409233a5dc5ab9556ce",
                    "content_type": "application/json",
                    "created_at": 1625688873000,
                    "key": "config/settings_data.json",
                    "public_url": "https://cdn-theme.myshopline.com/cdn/shop/prev/example/example/assets/component-blog.css",
                    "size": 204800
                  }
                ]
              }
            },
            "example": {
              "assets": [
                {
                  "updated_at": 1625688873000,
                  "checksum": "21cd91752e4cb57fda60099becd5ce3a224fc7fe62ba7409233a5dc5ab9556ce",
                  "content_type": "application/json",
                  "created_at": 1625688873000,
                  "key": "config/settings_data.json",
                  "public_url": "https://cdn-theme.myshopline.com/cdn/shop/prev/example/example/assets/component-blog.css",
                  "size": 204800,
                  "theme_id": "671f4c96d2682a1f5407536e"
                }
              ]
            }
          },
          "examples": {
            "Get all asset files for a theme": {
              "description": "Get all asset files for a theme",
              "value": {
                "body": {
                  "assets": [
                    {
                      "updated_at": 1741766595765,
                      "checksum": "4ac7a5b0c9ccc312459a94871432cb9790fe18b028152469c5aefc472404059c",
                      "content_type": null,
                      "created_at": 1741766595765,
                      "key": "locales/el.json",
                      "public_url": null,
                      "size": 75484,
                      "theme_id": "67d13fc3d92b88727dcd3755"
                    },
                    {
                      "public_url": null,
                      "size": 5354,
                      "theme_id": "67d13fc3d92b88727dcd3755",
                      "updated_at": 1741766595765,
                      "checksum": "fc75290f09111567e20bf5f8665fb5107042e8cc86ada3c71034a7bdb117c3b9",
                      "content_type": null,
                      "created_at": 1741766595765,
                      "key": "sections/main-password-header.html"
                    },
                    {
                      "theme_id": "67d13fc3d92b88727dcd3755",
                      "updated_at": 1741766595765,
                      "checksum": "9412a387d0e66a40610211e036bc5e5d761a0396d3f7c4c39eb899d9e18ae8b7",
                      "content_type": null,
                      "created_at": 1741766595765,
                      "key": "sections/icon-list.html",
                      "public_url": null,
                      "size": 8424
                    },
                    {
                      "created_at": 1741766595765,
                      "key": "layout/password.html",
                      "public_url": null,
                      "size": 3199,
                      "theme_id": "67d13fc3d92b88727dcd3755",
                      "updated_at": 1741766595765,
                      "checksum": "9330e5ad3d053a5f5b2a7c318bc9ce870261c91a547b36ee1bc5c2a660c404a4",
                      "content_type": null
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/themes/:theme_id/assets/list.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get all files for a theme",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_themes"
  ]
}
```